package org.bitbucket.bradleysmithllc.etlunit.parser;

import java.util.List;

public interface ETLTestClass extends ETLTestAnnotated, ETLTestDescribed, Comparable<ETLTestClass>
{
	List<ETLTestVariable> getClassVariables();

	String getPackage();

	String getName();

	String getQualifiedName();

	List<String> getSuiteMemberships();

	List<ETLTestMethod> getTestMethods();

	List<ETLTestMethod> getBeforeClassMethods();

	List<ETLTestMethod> getAfterClassMethods();

	List<ETLTestMethod> getBeforeTestMethods();

	List<ETLTestMethod> getAfterTestMethods();
}